{
  "format_version": "1.8.0",
  "minecraft:spawn_rules": {
    "description": {
      "identifier": "wesl3y:luffy",
      "population_control": "monster"
    },
    "conditions": [
      {
        "minecraft:spawns_on_surface": {},
        "minecraft:spawns_on_block_filter": [
          "minecraft:grass",
          "minecraft:dirt",
          "minecraft:sand",
          "minecraft:stone",
          "minecraft:gravel"
        ],
        "minecraft:brightness_filter": {
          "min": 7,
          "max": 16,
          "adjust_for_weather": true
        },
        "minecraft:weight": {
          "default": 15
        },
        "minecraft:density_limit": {
          "surface": 1
        },
        "minecraft:herd": {
          "min_size": 1,
          "max_size": 1
        },
        "minecraft:biome_filter": {
          "all_of":[
            { "test": "has_biome_tag", "operator": "==", "value": "monster"}
          ]
        }
      }
    ]
  }
}

